import { renderless, api } from '@opentinyvue/vue-renderless/cascader-menu/vue';
import { defineComponent, $prefix, $props, setup } from '@opentinyvue/vue-common';
import Scrollbar from '@opentinyvue/vue-scrollbar';
import CascaderNode from '@opentinyvue/vue-cascader-node';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

function _extends() {
  return _extends = Object.assign ? Object.assign.bind() : function(n) {
    for (var e = 1; e < arguments.length; e++) {
      var t = arguments[e];
      for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]);
    }
    return n;
  }, _extends.apply(null, arguments);
}
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("tiny-scrollbar", {
    ref: "cascaderMenu",
    class: _vm.m("min-w-[theme(spacing.54)] box-border text-color-text-primary pt-1"),
    attrs: {
      "data-tag": "tiny-cascader-menu",
      "id": _vm.state.menuId,
      "role": "menu",
      "tag": "div",
      "wrap-class": "overflow-auto h-auto pb-1.5 max-h-[theme(spacing.72)]",
      "view-class": "relative min-h-full m-0  list-none box-border pb-1 "
    }
  }, [_vm.state.isEmpty ? _c("div", {
    staticClass: "absolute top-1/2 left-1/2 -translate-x-2/4 -translate-y-2/4 text-center text-color-text-placeholder",
    attrs: {
      "data-tag": "tiny-cascader-menu__empty-text"
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.cascader.noData")) + " ")]) : _vm._l(_vm.nodes, function(node, nodeIndex) {
    return _c("cascader-node", {
      key: node.uid,
      attrs: {
        "tiny_mode": "mobile-first",
        "node": node,
        "node-id": _vm.state.menuId + "-" + nodeIndex,
        "data-haspopup": node.hasChildren,
        "data-owns": node.hasChildren ? _vm.state.menuId : null
      }
    });
  })], 2);
};
var staticRenderFns = [];
var __vue2_script = defineComponent({
  name: $prefix + "CascaderMenu",
  components: {
    TinyScrollbar: Scrollbar,
    CascaderNode
  },
  props: _extends({}, $props, {
    nodes: {
      type: Array,
      required: true
    },
    index: Number
  }),
  inject: ["panel", "cascaderRoot"],
  setup: function setup$1(props, context) {
    return setup({
      props,
      context,
      renderless,
      api
    });
  }
});
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
